# OpalPCM16SilenceDetector Class Reference

`#include <silencedetect.h>`

Inheritance diagram for OpalPCM16SilenceDetector:

[legend]
Collaboration diagram for OpalPCM16SilenceDetector:
[legend]

## Public Member Functions

| OpalPCM16SilenceDetector (const Params &newParam)
Overrides from OpalSilenceDetector
virtual unsigned | GetAverageSignalLevel (const BYTE *buffer, PINDEX size)

## Constructor & Destructor Documentation

OpalPCM16SilenceDetector::OpalPCM16SilenceDetector | ( | const Params & | newParam | ) | `[inline]`

Construct new silence detector for PCM-16/8000

Parameters:

  newParam | New parameters for silence detector

## Member Function Documentation

virtual unsigned OpalPCM16SilenceDetector::GetAverageSignalLevel | ( | const BYTE * | buffer,
|  | PINDEX | size |
| ) |  |  | `[virtual]`

Get the average signal level in the stream. This is called from within the silence detection algorithm to calculate the average signal level of the last data frame read from the stream.

The default behaviour returns UINT_MAX which indicates that the average signal has no meaning for the stream.

Parameters:

  buffer | RTP payload being detected
  size | Size of payload buffer

Implements OpalSilenceDetector.

The documentation for this class was generated from the following file:

- silencedetect.h